Bug 1120461 - RFE: Internal "user request management" and tracking
Summary: RFE: Internal "user request management" and tracking
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic
Version: 3.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Michelle Kim
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 02:29 UTC by Ding-Yi Chen
Modified: 2015-07-31 01:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 01:48:57 UTC


Attachments (Terms of Use)

Description Ding-Yi Chen 2014-07-17 02:29:09 UTC
Description of problem:
Currently users have no way to know whether the requests has been granted or reject; nor does the grantor have convenient methods to tell the requesters they requests have been rejected or need more information.

For example, user A requests a translator permission in fr team; but if language coordinator wants to reject the request, the coordinator have no way to tell user A in Zanata.

Version-Release number of selected component (if applicable):
3.5

How reproducible:
Always 

Steps to Reproduce:
1. Sign in as a coordinator 
2. Go to language team he/she coordinate.
3. User A request for permission to join the language team.

Actual results:
There is no way to telling User A that the permission is rejected.

Expected results:
A choice should be given:

"Ok" for grant the request
"Reject" for reject the request
"More Info" for require more information
"Cancel"  (Optional) Pending the decision.

Additional info:

Comment 1 Damian Jansen 2014-07-28 01:02:37 UTC
This appears to be a two part RFE:

1. The ability for maintainers / administrators to manage users' role and permission requests, and
2. User feedback for the result of point 1.

This implies
- a storage mechanism for the requests
- a notification that requests exist
- views of the requests for a project, a language, roles etc
- a user's request history view (e.g. my requests, previous and current)
- filtering for maintainer / user of requests by status

Other questions arise, such as 
- "Undo" ability (whoops, wrong button), 
- normal user request management (e.g. "Cancel" my request, I don't want it any more)
- Request expiry

Comment 3 Damian Jansen 2015-07-14 00:21:47 UTC
Reassigned to PM

Comment 4 Zanata Migrator 2015-07-31 01:48:57 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-555


Note You need to log in before you can comment on or make changes to this bug.